Foreman - Feature #1329

Encrypt BMC password
11/15/2011 08:54 PM - Corey Osman

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Security
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3362
Description

add support to encrypt the BMC password in the database.

Associated revisions

Revision 977f12ed - 04/07/2016 07:33 AM - Amir Fefer
Fixes #1329 - encrypt BMC password in DB

History

#1 - 03/14/2012 11:15 AM - Ohad Levy
- Target version deleted (1.0)

can you provide some information of how you would like to encrypt?

#2 - 03/14/2012 11:15 AM - Ohad Levy

- Status changed from New to Feedback

#3 - 07/30/2013 03:11 AM - Dominic Cleal
- Status changed from Feedback to New

- Target version set to 1.3.0
We now have the capability via #2424 to encrypt fields in the database, using a key stored in a config file.
#4 - 07/30/2013 08:22 AM - Joseph Magen

After #2424 is merged, we can easily encrypt other fields such. BMC may be a bit trickier since #password is saved in a serialized :attrs field, but |
hope it's not an issue.

#5 - 09/09/2013 08:42 AM - Ohad Levy

- Assignee set to Joseph Magen

#6 - 09/16/2013 11:50 AM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#7 - 10/16/2013 03:36 PM - Greg Sutcliffe
- Target version deleted (1.4.0)

#8 - 04/10/2014 02:35 PM - Joseph Magen
- Assignee deleted (Joseph Magen)

#9 - 03/15/2016 04:41 AM - Ohad Levy
https://projects.theforeman.org/issues/2424
https://projects.theforeman.org/issues/2424

- Assignee set to Amir Fefer

#10 - 03/23/2016 11:01 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3362 added

#11 - 04/07/2016 08:01 AM - Amir Fefer
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 977f12ed2fc010f72bf6c18b74130886c9460ac4.

#12 - 04/07/2016 09:14 AM - Dominic Cleal

- translation missing: en.field_release set to 136
